import request from '@/utils/request'

// 查询问答库管理列表
export function listFaq(query) {
  return request({
    url: '/base/faq/list',
    method: 'get',
    params: query
  })
}

// 查询问答库管理详细
export function getFaq(id) {
  return request({
    url: '/base/faq/' + id,
    method: 'get'
  })
}

// 新增问答库管理
export function addFaq(data) {
  return request({
    url: '/base/faq',
    method: 'post',
    data: data
  })
}

// 修改问答库管理
export function updateFaq(data) {
  return request({
    url: '/base/faq',
    method: 'put',
    data: data
  })
}

// 删除问答库管理
export function delFaq(id) {
  return request({
    url: '/base/faq/' + id,
    method: 'delete'
  })
}
